#!/bin/sh

#Calculate how periodic the main microphone signal is.

P=/home/gpk/oxi/bin

for n in $(select_fiat_entries.py -show "'%s/%s' % (d, f)" DB.fiat)
do
    echo 'Working on' $n
    rm -f /tmp/$$.fillf0.dat
    if python $P/fill_curve.py -F0W $n.f0.dat /tmp/$$.fillf0.dat
    then
      imop -write 'BITPIX=-32' r /tmp/$$.fillf0.dat = $n.fillf0.dat
      # imop -write 'BITPIX=-32' r /tmp/$$.fillf0.dat = $n.fillf0.sd
    else
      g_die "fill_curve fails!" || exit 1
    fi
done

